(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('react'), require('prop-types')) :
	typeof define === 'function' && define.amd ? define(['react', 'prop-types'], factory) :
	(global.Header = factory(global.React,global.PropTypes));
}(this, (function (React,PropTypes) { 'use strict';

React = React && React.hasOwnProperty('default') ? React['default'] : React;
PropTypes = PropTypes && PropTypes.hasOwnProperty('default') ? PropTypes['default'] : PropTypes;

var asyncGenerator = function () {
  function AwaitValue(value) {
    this.value = value;
  }

  function AsyncGenerator(gen) {
    var front, back;

    function send(key, arg) {
      return new Promise(function (resolve, reject) {
        var request = {
          key: key,
          arg: arg,
          resolve: resolve,
          reject: reject,
          next: null
        };

        if (back) {
          back = back.next = request;
        } else {
          front = back = request;
          resume(key, arg);
        }
      });
    }

    function resume(key, arg) {
      try {
        var result = gen[key](arg);
        var value = result.value;

        if (value instanceof AwaitValue) {
          Promise.resolve(value.value).then(function (arg) {
            resume("next", arg);
          }, function (arg) {
            resume("throw", arg);
          });
        } else {
          settle(result.done ? "return" : "normal", result.value);
        }
      } catch (err) {
        settle("throw", err);
      }
    }

    function settle(type, value) {
      switch (type) {
        case "return":
          front.resolve({
            value: value,
            done: true
          });
          break;

        case "throw":
          front.reject(value);
          break;

        default:
          front.resolve({
            value: value,
            done: false
          });
          break;
      }

      front = front.next;

      if (front) {
        resume(front.key, front.arg);
      } else {
        back = null;
      }
    }

    this._invoke = send;

    if (typeof gen.return !== "function") {
      this.return = undefined;
    }
  }

  if (typeof Symbol === "function" && Symbol.asyncIterator) {
    AsyncGenerator.prototype[Symbol.asyncIterator] = function () {
      return this;
    };
  }

  AsyncGenerator.prototype.next = function (arg) {
    return this._invoke("next", arg);
  };

  AsyncGenerator.prototype.throw = function (arg) {
    return this._invoke("throw", arg);
  };

  AsyncGenerator.prototype.return = function (arg) {
    return this._invoke("return", arg);
  };

  return {
    wrap: function (fn) {
      return function () {
        return new AsyncGenerator(fn.apply(this, arguments));
      };
    },
    await: function (value) {
      return new AwaitValue(value);
    }
  };
}();





var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();









var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};











var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var Header$1 = function (_React$Component) {
  inherits(Header, _React$Component);

  function Header(props) {
    classCallCheck(this, Header);

    var _this = possibleConstructorReturn(this, (Header.__proto__ || Object.getPrototypeOf(Header)).call(this, props));

    _this.logout = _this.logout.bind(_this);
    return _this;
  }

  createClass(Header, [{
    key: 'logout',
    value: function logout() {
      var user = this.props.user;

      if (user && user.logout && typeof user.logout.callback === 'function') {
        user.logout.callback();
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          navList = _props.navList,
          logoData = _props.logoData;
      var logo = logoData.logo,
          title = logoData.title,
          width = logoData.width,
          fontSize = logoData.fontSize;

      return React.createElement(
        'header',
        { className: 'k2-header' },
        React.createElement(
          'div',
          { className: 'k2-header__logo',
            style: { width: (width || 200) + 'px', fontSize: (fontSize || 30) + 'px' }
          },
          logo && logo.src && React.createElement(
            'a',
            { href: logo.href || '', className: 'image-wrapper' },
            React.createElement('img', { title: title || '', alt: title || '', src: logo.src })
          ),
          !logo && title && React.createElement(
            'span',
            { className: 'k2-header__logo__title' },
            React.createElement(
              'b',
              null,
              title
            )
          )
        ),
        React.createElement(
          'ul',
          { className: 'header__menu' },
          navList && navList instanceof Array && this.props.navList.map(function (list, index) {
            return React.createElement(
              'li',
              { key: list.name },
              React.createElement(
                'a',
                { href: list.href,
                  target: '_blank',
                  className: list.active ? 'activeA' : ''
                },
                list.name
              )
            );
          })
        ),
        this.props.user.name && this.props.user.name !== '' && React.createElement(
          'div',
          { className: 'header__usernav' },
          React.createElement(
            'div',
            { className: 'header__usernav__name' },
            React.createElement(
              'span',
              null,
              this.props.user.name
            )
          ),
          React.createElement('div', { className: 'header__usernav__separate' }),
          React.createElement(
            'div',
            { className: 'header__usernav__logout' },
            React.createElement(
              'span',
              { onClick: this.logout },
              this.props.user.logout.title
            )
          )
        )
      );
    }
  }]);
  return Header;
}(React.Component);

Header$1.propTypes = {
  navList: PropTypes.array.isRequired,
  user: PropTypes.shape({
    name: PropTypes.string,
    logout: PropTypes.object
  }),
  logoData: PropTypes.object.isRequired
};

Header$1.defaultProps = {};

return Header$1;

})));
//# sourceMappingURL=index.umd.js.map
