'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var PropTypes = _interopDefault(require('prop-types'));

var LeftMenu = function LeftMenu(props) {
  var lightThem = {
    background: '#FAFAFA',
    color: '#555555'
  };
  var darkThem = {
    background: '#1E2A4D',
    color: '#FFFFFF'
  };
  var them = props.them || 'light';
  var raperStyle = them === 'light' ? lightThem : darkThem;
  return React.createElement(
    'div',
    { className: 'k2-' + them, style: raperStyle },
    props.children
  );
};

LeftMenu.propTypes = {
  them: PropTypes.string,
  children: PropTypes.array
};

var SubMenu = function SubMenu(props) {
  return React.createElement(
    'div',
    null,
    React.createElement(
      'div',
      { className: 'menu_title' },
      props.name
    ),
    props.children
  );
};

SubMenu.propTypes = {
  name: PropTypes.string,
  children: PropTypes.array
};

var MenuItem = function MenuItem(props) {
  return React.createElement(
    'div',
    null,
    props.icon,
    React.createElement(
      'span',
      {
        className: 'menulist_name' },
      props.name
    )
  );
};

MenuItem.propTypes = {
  icon: PropTypes.node,
  name: PropTypes.string
};

exports.SubMenu = SubMenu;
exports.MenuItem = MenuItem;
exports.LeftMenu = LeftMenu;
//# sourceMappingURL=index.js.map
