(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react'), require('prop-types')) :
	typeof define === 'function' && define.amd ? define(['exports', 'react', 'prop-types'], factory) :
	(factory((global.LeftMenu = {}),global.React,global.PropTypes));
}(this, (function (exports,React,PropTypes) { 'use strict';

React = React && React.hasOwnProperty('default') ? React['default'] : React;
PropTypes = PropTypes && PropTypes.hasOwnProperty('default') ? PropTypes['default'] : PropTypes;

var LeftMenu = function LeftMenu(props) {
  var lightThem = {
    background: '#FAFAFA',
    color: '#555555'
  };
  var darkThem = {
    background: '#1E2A4D',
    color: '#FFFFFF'
  };
  var them = props.them || 'light';
  var raperStyle = them === 'light' ? lightThem : darkThem;
  return React.createElement(
    'div',
    { className: 'k2-' + them, style: raperStyle },
    props.children
  );
};

LeftMenu.propTypes = {
  them: PropTypes.string,
  children: PropTypes.array
};

var SubMenu = function SubMenu(props) {
  return React.createElement(
    'div',
    null,
    React.createElement(
      'div',
      { className: 'menu_title' },
      props.name
    ),
    props.children
  );
};

SubMenu.propTypes = {
  name: PropTypes.string,
  children: PropTypes.array
};

var MenuItem = function MenuItem(props) {
  return React.createElement(
    'div',
    null,
    props.icon,
    React.createElement(
      'span',
      {
        className: 'menulist_name' },
      props.name
    )
  );
};

MenuItem.propTypes = {
  icon: PropTypes.node,
  name: PropTypes.string
};

exports.SubMenu = SubMenu;
exports.MenuItem = MenuItem;
exports.LeftMenu = LeftMenu;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=index.umd.js.map
